Breakpoint.Target.ScriptName
Date: 2012-06-29

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.chromium.sdk
Class Breakpoint.Target.ScriptName

    java.lang.Object
      org.chromium.sdk.Breakpoint.Target
          org.chromium.sdk.Breakpoint.Target.ScriptName

Enclosing class:
  Breakpoint.Target

    public static class Breakpoint.Target.ScriptName

extends Breakpoint.Target

A target that refers to a script by its name. After `JavascriptVm.setBreakpoint(org.chromium.sdk.Breakpoint.Target, int, int, boolean, java.lang.String, org.chromium.sdk.JavascriptVm.BreakpointCallback, org.chromium.sdk.SyncCallback)` is called, breakpoint will be set on every matching script currently loaded in VM. E.g. you can safely set a breakpoint before the script is actually loaded.

Nested Class Summary

Nested classes/interfaces inherited from class org.chromium.sdk.Breakpoint.Target
`Breakpoint.Target.ScriptId, Breakpoint.Target.ScriptName, Breakpoint.Target.Visitor<R>`

Constructor Summary
`Breakpoint.Target.ScriptName(java.lang.String name)`

Method Summary
`
`<R> R`
` | `accept(Breakpoint.Target.Visitor<R> visitor)` Dispatches call on the actual Target type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Breakpoint.Target.ScriptName

    public Breakpoint.Target.ScriptName(java.lang.String name)

Method Detail

### accept

    public <R> R accept(Breakpoint.Target.Visitor<R> visitor)

  Description copied from class: `Breakpoint.Target`
  Dispatches call on the actual Target type.

  Specified by:
    `accept` in class `Breakpoint.Target`
  Parameters:
    `visitor` - user-provided `Breakpoint.Target.Visitor` that may also implement some additional interfaces (for extended types) that is checked on runtime
  See Also:
    `BreakpointTypeExtension`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD